# This file is executed on every boot (including wake-boot from deepsleep)
#import esp
#esp.osdebug(None)
#import webrepl
#webrepl.start()

from machine import Pin
import time
import os

print("--- Démarrage de l'ESP32 (boot.py) ---")

# On s'assure que la ligne d'alimentation Vext est allumée dès le boot
vext = Pin(36, Pin.OUT)
vext.value(0) # Allume l'alimentation écran/LoRa

# On initialise le reset de l'OLED pour qu'il ne reste pas figé
oled_rst = Pin(21, Pin.OUT)
oled_rst.value(0)
time.sleep(0.05)
oled_rst.value(1)

print("Matériel de base initialisé. Lancement de main.py...")